summaryrefslogtreecommitdiff
path: root/cron-renew-certs.sh
diff options
context:
space:
mode:
authorBill <bill@billserver.senders.io>2021-02-11 21:15:50 -0500
committerBill <bill@billserver.senders.io>2021-02-11 21:15:50 -0500
commita9e9972f2d9a5be53e2fc5caa5d1e9e83e1d0bb7 (patch)
tree3b005ecf36a406d97ef29f646eb37a1dbd40bf5c /cron-renew-certs.sh
Use certbot to manage my letscrypt certs
Manage certs via the letscrypt cert bot (via a docker-compose image) which is able to be executed each time we want to update the certs
Diffstat (limited to 'cron-renew-certs.sh')
-rwxr-xr-xcron-renew-certs.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/cron-renew-certs.sh b/cron-renew-certs.sh
new file mode 100755
index 0000000..bfb7401
--- /dev/null
+++ b/cron-renew-certs.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+set -ex
+echo "Updating certs"
+cd /home/bill/apps/certbot
+docker-compose -f /home/bill/apps/certbot/docker-compose.yml run certbot
+
+